using FluentValidation;
using Hotline.Share.Dtos.CallCenter;

namespace Hotline.Validators.CallCenter
{
    public class AddTelGroupDtoValidator : AbstractValidator<AddTelGroupDto>
    {
        public AddTelGroupDtoValidator()
        {
            RuleFor(d => d.No).NotEmpty();
        }
    }

    public class UpdateTelGroupDtoValidator : AbstractValidator<UpdateTelGroupDto>
    {
        public UpdateTelGroupDtoValidator()
        {
            RuleFor(d => d.Id).IsGuidStructureString();
            Include(new AddTelGroupDtoValidator());
        }
    }
}
